import 'package:sudoku/utils/tools.dart';

class DefaultGlobalSettings {
  static const String parameterCodeSkin = 'skin';

  static const List<String> availableParameters = [
    parameterCodeSkin,
  ];

  static const String skinValueDigits = 'digits';
  static const String skinValueFood = 'food';
  static const String skinValueNature = 'nature';
  static const String skinValueMonsters = 'monsters';

  static const String defaultSkinValue = skinValueDigits;
  static const List<String> allowedSkinValues = [
    skinValueDigits,
    skinValueFood,
    skinValueNature,
    skinValueMonsters,
  ];
  static const List<String> shufflableSkins = [
    skinValueFood,
    skinValueNature,
    skinValueMonsters,
  ];

  static List<String> getAvailableValues(String parameterCode) {
    switch (parameterCode) {
      case parameterCodeSkin:
        return DefaultGlobalSettings.allowedSkinValues;
    }

    printlog('Did not find any available value for global parameter "$parameterCode".');
    return [];
  }

  static const int defaultTipCountDownValueInSeconds = 20;
}
